package com.steerinfo.baseinfo.meterbasefunction.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasefunction.model.MeterBaseFunction;

import java.util.List;

/**
 * MeterBaseFunction服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-18 05:23
 * 类描述
 * 修订历史：
 * 日期：2020-06-18
 * 作者：generator
 * 参考：
 * 描述：MeterBaseFunction服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseFunctionService extends IBaseService<MeterBaseFunction, String>{
     String checkandadd(MeterBaseFunction model);

     String Recovery(List<MeterBaseFunction> models);

     String checkandupdate(String id,MeterBaseFunction model);

     String abolish(List<MeterBaseFunction> models);
}